> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project

> Update a project's properties.



## OpenAPI

````yaml openapi.json PATCH /projects/{project_id}
openapi: 3.1.0
info:
  title: Sb0 API
  version: 0.1.0
servers: []
security: []
paths:
  /projects/{project_id}:
    patch:
      tags:
        - Projects
      summary: Update Project
      description: Update a project's properties.
      operationId: projects_update
      parameters:
        - in: path
          name: project_id
          required: true
          schema:
            title: Project Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdateProjectRequest:
      description: Request model for updating a project.
      properties:
        description:
          anyOf:
            - maxLength: 1000
              type: string
            - type: 'null'
          description: Optional project description.
          title: Description
        name:
          anyOf:
            - maxLength: 255
              minLength: 1
              type: string
            - type: 'null'
          description: Project name.
          title: Name
      title: UpdateProjectRequest
      type: object
    Project:
      description: Response model for project.
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: When the project was created.
          title: Created At
        created_by:
          description: member_id of the creator.
          title: Created By
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Optional project description.
          title: Description
        id:
          description: The unique identifier of the project.
          title: Id
          type: string
        name:
          description: Project name.
          title: Name
          type: string
        namespace_id:
          description: The namespace this project belongs to.
          title: Namespace Id
          type: string
      required:
        - id
        - namespace_id
        - name
        - created_by
      title: Project
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````